Loading...
Searching...
No Matches
newton_identity_preconditioner

## Detailed Description

Definition at line 77 of file damped-newton-generic.h.

## Public Member Functions

template<class Problem>
Float | operator() (const Problem &P, const typename Problem::value_type &MFv) const
template<class Problem>
Float | operator() (const Problem &P, const typename Problem::value_type &MFu, const typename Problem::value_type &delta_u) const
template<class Problem>
Problem::value_type | grad (const Problem &P, const typename Problem::value_type &MFu) const
template<class Problem>
Float | slope (const Problem &P, const typename Problem::value_type &MFu, const typename Problem::value_type &delta_u) const

## Member Function Documentation

## operator()() [1/2]

template<class Problem>

Float operator() | ( | const Problem & | P,
|  | const typename Problem::value_type & | MFv ) const

Definition at line 79 of file damped-newton-generic.h.

## operator()() [2/2]

template<class Problem>

Float operator() | ( | const Problem & | P,
|  | const typename Problem::value_type & | MFu,
|  | const typename Problem::value_type & | delta_u ) const

Definition at line 83 of file damped-newton-generic.h.

## grad()

template<class Problem>

Problem::value_type grad | ( | const Problem & | P,
|  | const typename Problem::value_type & | MFu ) const

Definition at line 87 of file damped-newton-generic.h.

## slope()

template<class Problem>

Float slope | ( | const Problem & | P,
|  | const typename Problem::value_type & | MFu,
|  | const typename Problem::value_type & | delta_u ) const

Definition at line 91 of file damped-newton-generic.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/damped-newton-generic.h